<!--
		SIF Infrastructure Specification 3.7

		(January 21, 2025)
		
		Infrastructure Version: 3.7
		
		license: 
		    name: Apache  2.0
        identifier: Apache-2.0
        url: 'https://home.a4l.org/legal/'
	-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.sifassociation.org/infrastructure/3.7" targetNamespace="http://www.sifassociation.org/infrastructure/3.7" elementFormDefault="qualified" version="3.7">
  <xs:complexType name="adminDirectiveType">
    <xs:sequence>
      <xs:element name="timestamp" type="xs:dateTime" />
      <xs:element name="timeout" type="xs:duration" />
      <xs:element name="serviceName" type="xs:token" />
      <xs:element name="method" type="xs:token" />
      <xs:element name="methodParameters" minOccurs="0" type="methodParametersType" />
    </xs:sequence>
    <xs:attribute name="id" use="optional" type="xs:token" />
  </xs:complexType>

  <xs:element name="adminDirective" type="adminDirectiveType">
    <xs:key name="adminDirectiveKey1">
      <xs:selector xpath="." />
      <xs:field xpath="@id" />
    </xs:key>
  </xs:element>

  <xs:complexType name="adminDirectiveCollectionType">
    <xs:sequence>
      <xs:element name="adminDirective" type="adminDirectiveType" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="adminDirectives" type="adminDirectiveCollectionType" />

</xs:schema>